/***********************************************************************/
/*                                                                     */
/*                              Pio (C++)                              */
/*                                                                     */
/*                    Polyglot Input/Output Library                    */
/*                                                                     */
/*                  projet Estime, INRIA-Rocquencourt                  */
/*                                                                     */
/*  Copyright 2004-2011 INRIA.                                         */
/*  Institut National de Recherche en Informatique et en Automatique.  */
/*  All rights reserved. This file is distributed only by permission.  */
/*                                                                     */
/*  Estelle Marchand <Estelle.Marchand@inria.fr>                       */
/*                                                                     */
/***********************************************************************/

/********************************************************************************/
/*                                                                              */
/*                                  Pio (C++)                                   */
/*                                                                              */
/*                        Polyglot Input/Output Library                         */
/*                                                                              */
/*                      projet Estime, INRIA-Rocquencourt                       */
/*                                                                              */
/*  Copyright 2004-2011 INRIA.                                                  */
/*  Institut National de Recherche en Informatique et en Automatique.           */
/*  All rights reserved. This file is distributed only by permission.           */
/*                                                                              */
/*  Estelle Marchand <Estelle.Marchand@inria.fr>                                */
/*                                                                              */
/********************************************************************************/

/***********************************************************************/
/*                                                                     */
/*                              PIO (C++)                              */
/*                                                                     */
/*                    Polyglot Input/Output Library                    */
/*                                                                     */
/*                  projet Estime, INRIA-Rocquencourt                  */
/*                                                                     */
/*  Copyright 2005-2007 INRIA.                                         */
/*  Institut National de Recherche en Informatique et en Automatique.  */
/*  All rights reserved. This file is distributed only by permission.  */
/*                                                                     */
/*  Estelle Marchand <Estelle.Marchand@inria.fr>                       */
/*                                                                     */
/***********************************************************************/

/* $Id: parse_io.cpp,v 1.3 2011-02-23 17:43:29 fclement Exp $ */

#include "parse_io.hpp"

namespace io{
  
  void parse_command_line(int argc, char** argv){

  GetPot command_line(argc,argv);
  if(command_line.search(3,"-h","-help","--help")){
  }

  io::set_prec( command_line.follow( (int) get_prec(),1,"--prec_io") );
  
  
  bool BINARY = command_line.search(2,"-bio","--binary_io");
  bool ASCII = command_line.search(2,"-aio","--ascii_io");
  if(BINARY && ASCII){
    std::cerr<<"Error: binary_io and ascii_io options are incompatible."
             <<std::endl;
    exit(1);
  }
  if(BINARY){
    io::set_binary();
  }
  if(ASCII){
    io::set_ascii();
  }

  if(command_line.search(2,"-dio","--debug_io")) set_debug();
  
  }

}// namespace io
